<?php
// Copyright 1999-2022. Plesk International GmbH. All rights reserved.
$messages = [
    'title' => 'Website Log Check',

    'regularCheck' => 'Automatic check',
    'manualCheck' => 'Manuel kontrol',

    'promoTitle' => 'Hurtig registrering af manglende tilgængelighed eller fejlfunktion på dine websteder',
    'promoDescription' => 'Website issues are often visible to visitors but not to administrators unless they constantly analyze website logs. Our brand new Website Log Check automates this routine and helps to resolve found issues efficiently.',
    'promoMore' => 'Få flere oplysninger',
    'promoButton' => 'Forstået!',
    'checkEnabledTitle' => 'Automatic check is on',
    'checkDisabledTitle' => 'Automatic check is off',
    'disabledDescription' => 'Turn on to automatically detect issues that can make websites unavailable or cause their incorrect operation.',
    'websitesAllChecked' => '{count, plural, one {# website gets} other {# websites get}} checked daily',
    'websitesAllCheckedAt' => '{count, plural, one {# website gets} other {# websites get}} checked daily at %%time%%',
    'websitesChecked' => '%%count%% of %%totalCount%% websites get checked daily',
    'websitesCheckedAt' => '%%count%% of %%totalCount%% websites get checked daily at %%time%%',
    'checkedWebsites' => 'Liste over kontrollerede websteder',
    'lastCheckDescription' => 'The last check took %%duration%% minutes.',
    'durationLess' => 'mindre end 0,1',
    'month0' => '%%date%% jan',
    'month1' => '%%date%% feb',
    'month2' => '%%date%% mar',
    'month3' => '%%date%% apr',
    'month4' => '%%date%% maj',
    'month5' => '%%date%% jun',
    'month6' => '%%date%% jul',
    'month7' => '%%date%% aug',
    'month8' => '%%date%% sep',
    'month9' => '%%date%% okt',
    'month10' => '%%date%% nov',
    'month11' => '%%date%% dec',
    'export' => 'Eksporter rapporten til CSV',
    'buttonRun' => 'Run manual check',
    'buttonRunDescription' => 'To recheck fixed websites or find issues that did not appear during the last check.',

    'websites.title' => 'Websteder, der skal tjekkes',
    'websites.description' => '%%selected%% af %%total%% websteder er valgt',
    'websites.search' => 'Find websteder...',
    'websites.new' => 'Alle nyoprettede websteder',
    'websites.newHint' => 'Select to automatically start checking all new websites.',
    'websites.existing' => 'Alle eksisterende websteder',
    'websites.buttonSave' => 'Gem',
    'websites.buttonCancel' => 'Annuller',
    'websites.updateSuccess' => 'Indstillingerne blev opdateret',

    'tabs.problemDetails' => 'Issue details',
    'tabs.affectedWebsites' => 'Berørte websteder',

    'chart.requests' => 'Anmodninger',
    'chart.errors' => 'Fejl',

    'affected-websites.selected' => '%%selectedCount%% af %%totalCount%% websteder er valgt',
    'affected-websites.none' => 'Ingen',
    'affected-websites.all' => 'Alle',
    'affected-websites.searchForWebsite' => 'Søg efter websteder',
    'affected-websites.websites' => 'Websteder',

    'problem-report.domainTitle' => 'Issue reported on %%domain%%',
    'problem-report.cumulativeTitle' => 'Issue reported on {count, plural, one {# website} other {# websites}}',
    'problem-report.serverwideTitle' => 'Server-wide issue reported',
    'problem-report.problemAppearsOn' => 'The issue appears on {count, plural, one {# website} other {# websites}} in total',
    'problem-report.seeTheConsolidatedReport' => 'Se den samlede rapport',
    'problem-report.cause' => 'Hovedårsag',
    'problem-report.possibleSolutions' => 'Possible solutions',
    'problem-report.useAnOption' => 'Anvend en mulighed for automatisk løsning',
    'problem-report.repairTheWebsite' => 'Reparer webstedet',
    'problem-report.selectAndRepair' => 'Vælg og reparer flere websteder',
    'problem-report.distributionOfTheProblem' => 'Distribution of the issue over time',
    'problem-report.serverTimezone' => 'Server-tidszone (UTC%%utcShift%%)',
    'problem-report.yourTimezone' => 'Din tidszone (UTC%%utcShift%%)',
    'problem-report.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'problem-report.resourceUsageCharts' => 'Diagrammer over ressourceforbrug',
    'problem-report.logEntries' => 'Examples of log entries indicating the issue',
    'problem-report.pleaseKeepInMind' => 'Note: Plesk constantly rotates logs and will eventually archive or delete the mentioned log entries.',
    'problem-report.weRecommendToRecheck' => '%%recheckWebsite%%—we recommend it after each fixing attempt.',
    'problem-report.recheckWebsite' => 'Recheck website manually',
    'problem-report.recommended' => 'recommended',
    'problem-report.numberOfEntries' => 'Antal poster',
    'problem-report.logEntry' => 'Log-post',
    'problem-report.logFile' => 'Logfil',
    'problem-report.openWebsiteLogs' => 'Åbn webstedslogfiler',
    'problem-report.thisIsServerWideProblem' => 'This is a server-wide issue that affects all hosted websites',
    'problem-report.serverWideTitle' => 'Server-wide issue reported',

    'distribution-over-time.title' => 'Distribution of the issue over time',
    'distribution-over-time.serverTimezone' => 'Server-tidszone (UTC%%utcShift%%)',
    'distribution-over-time.yourTimezone' => 'Din tidszone (UTC%%utcShift%%)',
    'distribution-over-time.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'distribution-over-time.resourceUsageCharts' => 'Diagrammer over ressourceforbrug',

    'report.title' => 'Rapport over sidste tjek',
    'report.groupByWebsites' => 'Inddelt efter websteder',
    'report.groupByProblems' => 'By issues',
    'report.columnWebsite' => 'Websted',
    'report.columnStatus' => 'Issues',
    'report.columnProblem' => 'Issue',
    'report.columnAppearedOn' => 'Detected on',
    'report.serverWideName' => 'Server-wide issues',
    'report.serverWideDescription' => 'These issues affect the whole server and its hosted websites.',
    'report.statusProblemsFound' => '%%count%% found',
    'report.statusProblemsFoundFull' => '{count, plural, one {# issue} other {# issues}} found',
    'report.statusProblemsSolved' => '%%count%% disappeared',
    'report.statusProblemsSolvedFull' => '{count, plural, one {# issue} other {# issues}} disappeared',
    'report.statusSuccess' => 'No issue',
    'report.serverWide' => 'Hele serveren',
    'report.appearedOn' => '{count, plural, one {# websted} other {# websteder}}',
    'report.recheckWebsite' => 'Recheck website',
    'report.actionOpen' => 'Åbent',
    'report.actionManage' => 'Administrer',
    'report.actionLogs' => 'View logs',
    'report.searchWebsite' => 'Find websteder...',
    'report.searchProblem' => 'Find issues...',
    'report.groupByProblemsTotal' => '{totalRows, plural, one {# issue} other {# issues}} on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsTitle' => 'No issues were found on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsDescription' => 'Det ser ud til, at du passer godt på dine websteder. Godt klaret!',

    'problems.columnTitle' => 'Issue',
    'problems.columnRegular' => 'Automatic check',
    'problems.columnManual' => 'Manuel kontrol',
    'problems.run' => '%%fromTime%% %%fromDate%% - %%toTime%% %%toDate%%',
    'problems.runSameDay' => '%%fromTime%% - %%toTime%% at %%toDate%%',
    'problems.notRun' => 'not performed yet',
    'problems.resultDetected' => 'Detected',
    'problems.resultNotDetected' => 'Not detected',
    'problems.resultNoProblems' => 'No issues',

    'new-check.title' => 'Manuel kontrol',
    'new-check.titleForWebsite' => 'Manual check of %%website%%',
    'new-check.titleRunning' => 'Manual check of {count, plural, one {# website} other {# websites}}',
    'new-check.description' => '%%selected%% af %%total%% websteder er valgt',
    'new-check.depth' => 'Check period',
    'new-check.checkTheLast' => 'Check the last',
    'new-check.selectHours' => 'Timer',
    'new-check.selectMinutes' => 'Minutes',
    'new-check.ifYouHaveAnyProblemActivities' => 'If you tried fixing the website issues, set the time period after this attempt. Otherwise Plesk can detect issues you have already resolved.',
    'new-check.weAlsoRecommendVisiting' => 'Before running a manual check, we recommend that you %%visitingTheWebsite%% and try to reproduce the issue.',
    'new-check.visitingTheWebsite' => 'visit the website',
    'new-check.hours' => 'seneste timer',
    'new-check.websites' => 'Websteder, der skal tjekkes',
    'new-check.buttonSave' => 'Check',
    'new-check.buttonCancel' => 'Annuller',
    'new-check.search' => 'Find websteder...',
    'new-check.checkProblems' => 'Websites with issues during the last check',
    'new-check.allWebsites' => 'Alle websteder',
];