<?php
// Copyright 1999-2022. Plesk International GmbH. All rights reserved.
$messages = [
    'title' => 'Website Log Check',

    'regularCheck' => 'Automatic check',
    'manualCheck' => 'Comprobación manual',

    'promoTitle' => 'Rápida detección de no disponibilidad o de un funcionamiento incorrecto de sus sitios web',
    'promoDescription' => 'Website issues are often visible to visitors but not to administrators unless they constantly analyze website logs. Our brand new Website Log Check automates this routine and helps to resolve found issues efficiently.',
    'promoMore' => 'Más información',
    'promoButton' => '¡Entendido!',
    'checkEnabledTitle' => 'Automatic check is on',
    'checkDisabledTitle' => 'Automatic check is off',
    'disabledDescription' => 'Turn on to automatically detect issues that can make websites unavailable or cause their incorrect operation.',
    'websitesAllChecked' => '{count, plural, one {# sitio web se comprueba} other {# sitios web se comprueban}} a diario',
    'websitesAllCheckedAt' => '{count, plural, one {# sitio web se comprueba} other {# sitios web se comprueban}} a diario a las %%time%%',
    'websitesChecked' => '%%count%% de %%totalCount%% sitios web se comprueban a diario',
    'websitesCheckedAt' => '%%count%% de %%totalCount%% sitios web se comprueban a diario a las %%time%%',
    'checkedWebsites' => 'Lista de sitios web comprobados',
    'lastCheckDescription' => 'The last check took %%duration%% minutes.',
    'durationLess' => 'menos de 0.1',
    'month0' => '%%date%% Ene',
    'month1' => '%%date%% Feb',
    'month2' => '%%date%% Mar',
    'month3' => '%%date%% Abr',
    'month4' => '%%date%% May',
    'month5' => '%%date%% Jun',
    'month6' => '%%date%% Jul',
    'month7' => '%%date%% Ago',
    'month8' => '%%date%% Sep',
    'month9' => '%%date%% Oct',
    'month10' => '%%date%% Nov',
    'month11' => '%%date%% Dic',
    'export' => 'Exportar el informe a CSV',
    'buttonRun' => 'Ejecutar comprobación manual',
    'buttonRunDescription' => 'To recheck fixed websites or find issues that did not appear during the last check.',

    'websites.title' => 'Sitios web a comprobar',
    'websites.description' => 'Se han seleccionado %%selected%% de %%total%% sitios web',
    'websites.search' => 'Encontrar sitios web...',
    'websites.new' => 'Todos los sitios creados recientemente',
    'websites.newHint' => 'Select to automatically start checking all new websites.',
    'websites.existing' => 'Todos los sitios web existentes',
    'websites.buttonSave' => 'Guardar',
    'websites.buttonCancel' => 'Cancelar',
    'websites.updateSuccess' => 'La configuración ha sido actualizada',

    'tabs.problemDetails' => 'Issue details',
    'tabs.affectedWebsites' => 'Sitios web afectados',

    'chart.requests' => 'Peticiones',
    'chart.errors' => 'Errores',

    'affected-websites.selected' => 'Se han seleccionado %%selectedCount%% de %%totalCount%% sitios web',
    'affected-websites.none' => 'Ninguno',
    'affected-websites.all' => 'Todos',
    'affected-websites.searchForWebsite' => 'Buscar sitios web',
    'affected-websites.websites' => 'Sitios web',

    'problem-report.domainTitle' => 'Issue reported on %%domain%%',
    'problem-report.cumulativeTitle' => 'Issue reported on {count, plural, one {# website} other {# websites}}',
    'problem-report.serverwideTitle' => 'Server-wide issue reported',
    'problem-report.problemAppearsOn' => 'The issue appears on {count, plural, one {# website} other {# websites}} in total',
    'problem-report.seeTheConsolidatedReport' => 'Examine el informe consolidado',
    'problem-report.cause' => 'Causa principal',
    'problem-report.possibleSolutions' => 'Posibles soluciones',
    'problem-report.useAnOption' => 'Usar una opción para solución automática',
    'problem-report.repairTheWebsite' => 'Reparar el sitio web',
    'problem-report.selectAndRepair' => 'Seleccionar y reparar varios sitios web',
    'problem-report.distributionOfTheProblem' => 'Distribution of the issue over time',
    'problem-report.serverTimezone' => 'Zona horaria del servidor (UTC%%utcShift%%)',
    'problem-report.yourTimezone' => 'Su zona horaria (UTC%%utcShift%%)',
    'problem-report.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'problem-report.resourceUsageCharts' => 'Gráficos de uso de recursos',
    'problem-report.logEntries' => 'Examples of log entries indicating the issue',
    'problem-report.pleaseKeepInMind' => 'Note: Plesk constantly rotates logs and will eventually archive or delete the mentioned log entries.',
    'problem-report.weRecommendToRecheck' => '%%recheckWebsite%%—we recommend it after each fixing attempt.',
    'problem-report.recheckWebsite' => 'Vuelva a comprobar el sitio web manualmente',
    'problem-report.recommended' => 'recomendado',
    'problem-report.numberOfEntries' => 'Nº entradas',
    'problem-report.logEntry' => 'Entrada de registro',
    'problem-report.logFile' => 'Archivo de registro',
    'problem-report.openWebsiteLogs' => 'Abrir registros del sitio web',
    'problem-report.thisIsServerWideProblem' => 'This is a server-wide issue that affects all hosted websites',
    'problem-report.serverWideTitle' => 'Server-wide issue reported',

    'distribution-over-time.title' => 'Distribution of the issue over time',
    'distribution-over-time.serverTimezone' => 'Zona horaria del servidor (UTC%%utcShift%%)',
    'distribution-over-time.yourTimezone' => 'Su zona horaria (UTC%%utcShift%%)',
    'distribution-over-time.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'distribution-over-time.resourceUsageCharts' => 'Gráficos de uso de recursos',

    'report.title' => 'Informe sobre la última verificación',
    'report.groupByWebsites' => 'Agrupados por sitios web',
    'report.groupByProblems' => 'By issues',
    'report.columnWebsite' => 'Sitio web',
    'report.columnStatus' => 'Issues',
    'report.columnProblem' => 'Issue',
    'report.columnAppearedOn' => 'Detected on',
    'report.serverWideName' => 'Server-wide issues',
    'report.serverWideDescription' => 'These issues affect the whole server and its hosted websites.',
    'report.statusProblemsFound' => '%%count%% encontrados',
    'report.statusProblemsFoundFull' => '{count, plural, one {# issue} other {# issues}} found',
    'report.statusProblemsSolved' => '%%count%% desaparecieron',
    'report.statusProblemsSolvedFull' => '{count, plural, one {# issue} other {# issues}} disappeared',
    'report.statusSuccess' => 'No issue',
    'report.serverWide' => 'Todo el servidor',
    'report.appearedOn' => '{count, plural, one {# sitio web} other {# sitios web}}',
    'report.recheckWebsite' => 'Volver a comprobar el sitio web',
    'report.actionOpen' => 'Abrir',
    'report.actionManage' => 'Administrar',
    'report.actionLogs' => 'Ver registros',
    'report.searchWebsite' => 'Encontrar sitios web...',
    'report.searchProblem' => 'Find issues...',
    'report.groupByProblemsTotal' => '{totalRows, plural, one {# issue} other {# issues}} on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsTitle' => 'No issues were found on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsDescription' => 'Parece que trata a sus sitios web con mucho cariño. ¡Bien hecho!',

    'problems.columnTitle' => 'Issue',
    'problems.columnRegular' => 'Automatic check',
    'problems.columnManual' => 'Comprobación manual',
    'problems.run' => '%%fromTime%% %%fromDate%% - %%toTime%% %%toDate%%',
    'problems.runSameDay' => '%%fromTime%% - %%toTime%% el %%toDate%%',
    'problems.notRun' => 'not performed yet',
    'problems.resultDetected' => 'Detectado',
    'problems.resultNotDetected' => 'No detectado',
    'problems.resultNoProblems' => 'No issues',

    'new-check.title' => 'Comprobación manual',
    'new-check.titleForWebsite' => 'Comprobación manual de %%website%%',
    'new-check.titleRunning' => 'Comprobación manual de {count, plural, one {# sitio web} other {# sitios web}}',
    'new-check.description' => 'Se han seleccionado %%selected%% de %%total%% sitios web',
    'new-check.depth' => 'Periodo de comprobación',
    'new-check.checkTheLast' => 'Check the last',
    'new-check.selectHours' => 'Horas',
    'new-check.selectMinutes' => 'Minutos',
    'new-check.ifYouHaveAnyProblemActivities' => 'If you tried fixing the website issues, set the time period after this attempt. Otherwise Plesk can detect issues you have already resolved.',
    'new-check.weAlsoRecommendVisiting' => 'Before running a manual check, we recommend that you %%visitingTheWebsite%% and try to reproduce the issue.',
    'new-check.visitingTheWebsite' => 'visit the website',
    'new-check.hours' => 'últimas horas',
    'new-check.websites' => 'Sitios web a comprobar',
    'new-check.buttonSave' => 'Comprobar',
    'new-check.buttonCancel' => 'Cancelar',
    'new-check.search' => 'Encontrar sitios web...',
    'new-check.checkProblems' => 'Websites with issues during the last check',
    'new-check.allWebsites' => 'Todos los sitios web',
];