<?php
// Copyright 1999-2022. Plesk International GmbH. All rights reserved.
$messages = [
    'title' => 'Website Log Check',

    'regularCheck' => 'Automatic check',
    'manualCheck' => '手動チェック',

    'promoTitle' => 'ウェブサイトが利用不可であることや正常に機能していないことを迅速にチェック',
    'promoDescription' => 'Website issues are often visible to visitors but not to administrators unless they constantly analyze website logs. Our brand new Website Log Check automates this routine and helps to resolve found issues efficiently.',
    'promoMore' => 'さらに詳しく',
    'promoButton' => '了解です！',
    'checkEnabledTitle' => 'Automatic check is on',
    'checkDisabledTitle' => 'Automatic check is off',
    'disabledDescription' => 'Turn on to automatically detect issues that can make websites unavailable or cause their incorrect operation.',
    'websitesAllChecked' => '毎日 {count, plural, other {# 件のウェブサイト}} をチェックする',
    'websitesAllCheckedAt' => '毎日 %%time%% に {count, plural, other {# 件のウェブサイト}}をチェックする',
    'websitesChecked' => '%%count%% / %%totalCount%% 件のウェブサイトを毎日チェックする',
    'websitesCheckedAt' => '%%count%% / %%totalCount%% 件のウェブサイトを毎日 %%time%% にチェックする',
    'checkedWebsites' => 'チェックされたウェブサイトのリスト',
    'lastCheckDescription' => 'The last check took %%duration%% minutes.',
    'durationLess' => '0.1 未満',
    'month0' => '1 月 %%date%% 日',
    'month1' => '2 月 %%date%% 日',
    'month2' => '3 月 %%date%% 日',
    'month3' => '4 月 %%date%% 日',
    'month4' => '5 月 %%date%% 日',
    'month5' => '6 月 %%date%% 日',
    'month6' => '7 月 %%date%% 日',
    'month7' => '8 月 %%date%% 日',
    'month8' => '9 月 %%date%% 日',
    'month9' => '10 月 %%date%% 日',
    'month10' => '11 月 %%date%% 日',
    'month11' => '12 月 %%date%% 日',
    'export' => 'レポートを CSV 形式でエクスポート',
    'buttonRun' => '手動チェックを実行',
    'buttonRunDescription' => 'To recheck fixed websites or find issues that did not appear during the last check.',

    'websites.title' => 'チェック対象のウェブサイト',
    'websites.description' => '%%selected%% / %%total%% 件のウェブサイトが選択されています',
    'websites.search' => 'ウェブサイトを探す...',
    'websites.new' => '新規作成されたウェブサイトすべて',
    'websites.newHint' => 'Select to automatically start checking all new websites.',
    'websites.existing' => '既存のウェブサイトすべて',
    'websites.buttonSave' => '保存',
    'websites.buttonCancel' => 'キャンセル',
    'websites.updateSuccess' => '設定が更新されました',

    'tabs.problemDetails' => 'Issue details',
    'tabs.affectedWebsites' => '影響を受けるウェブサイト',

    'chart.requests' => 'リクエスト',
    'chart.errors' => 'エラー',

    'affected-websites.selected' => '%%selectedCount%% / %%totalCount%% 件のウェブサイトが選択されました',
    'affected-websites.none' => 'なし',
    'affected-websites.all' => 'すべて',
    'affected-websites.searchForWebsite' => 'ウェブサイトを検索',
    'affected-websites.websites' => 'ウェブサイト',

    'problem-report.domainTitle' => 'Issue reported on %%domain%%',
    'problem-report.cumulativeTitle' => 'Issue reported on {count, plural, one {# website} other {# websites}}',
    'problem-report.serverwideTitle' => 'Server-wide issue reported',
    'problem-report.problemAppearsOn' => 'The issue appears on {count, plural, one {# website} other {# websites}} in total',
    'problem-report.seeTheConsolidatedReport' => '総合レポートを表示',
    'problem-report.cause' => '根本原因',
    'problem-report.possibleSolutions' => '考えられる解決策',
    'problem-report.useAnOption' => 'オプションを使用して自動的に解決',
    'problem-report.repairTheWebsite' => 'ウェブサイトを修復',
    'problem-report.selectAndRepair' => '複数のウェブサイトを選択して修復',
    'problem-report.distributionOfTheProblem' => 'Distribution of the issue over time',
    'problem-report.serverTimezone' => 'サーバのタイムゾーン（UTC%%utcShift%%）',
    'problem-report.yourTimezone' => 'あなたのタイムゾーン（UTC%%utcShift%%）',
    'problem-report.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'problem-report.resourceUsageCharts' => 'リソース利用チャート',
    'problem-report.logEntries' => 'Examples of log entries indicating the issue',
    'problem-report.pleaseKeepInMind' => 'Note: Plesk constantly rotates logs and will eventually archive or delete the mentioned log entries.',
    'problem-report.weRecommendToRecheck' => '%%recheckWebsite%%—we recommend it after each fixing attempt.',
    'problem-report.recheckWebsite' => 'ウェブサイトを手動で再チェック',
    'problem-report.recommended' => '推奨',
    'problem-report.numberOfEntries' => 'エントリ数',
    'problem-report.logEntry' => 'ログエントリ',
    'problem-report.logFile' => 'ログファイル',
    'problem-report.openWebsiteLogs' => 'ウェブサイトのログを開く',
    'problem-report.thisIsServerWideProblem' => 'This is a server-wide issue that affects all hosted websites',
    'problem-report.serverWideTitle' => 'Server-wide issue reported',

    'distribution-over-time.title' => 'Distribution of the issue over time',
    'distribution-over-time.serverTimezone' => 'サーバのタイムゾーン（UTC%%utcShift%%）',
    'distribution-over-time.yourTimezone' => 'あなたのタイムゾーン（UTC%%utcShift%%）',
    'distribution-over-time.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'distribution-over-time.resourceUsageCharts' => 'リソース利用チャート',

    'report.title' => '前回のチェックのレポート',
    'report.groupByWebsites' => 'ウェブサイト別のグループ化',
    'report.groupByProblems' => 'By issues',
    'report.columnWebsite' => 'ウェブサイト',
    'report.columnStatus' => 'Issues',
    'report.columnProblem' => 'Issue',
    'report.columnAppearedOn' => '検出日',
    'report.serverWideName' => 'Server-wide issues',
    'report.serverWideDescription' => 'These issues affect the whole server and its hosted websites.',
    'report.statusProblemsFound' => '%%count%% 件が見つかりました',
    'report.statusProblemsFoundFull' => '{count, plural, one {# issue} other {# issues}} found',
    'report.statusProblemsSolved' => '%%count%% 件が解消されました',
    'report.statusProblemsSolvedFull' => '{count, plural, one {# issue} other {# issues}} disappeared',
    'report.statusSuccess' => 'No issue',
    'report.serverWide' => 'サーバ全体',
    'report.appearedOn' => '{count, plural, other {# 件のウェブサイト}}',
    'report.recheckWebsite' => 'ウェブサイトを再チェック',
    'report.actionOpen' => '開く',
    'report.actionManage' => '管理',
    'report.actionLogs' => 'ログを表示',
    'report.searchWebsite' => 'ウェブサイトを探す...',
    'report.searchProblem' => 'Find issues...',
    'report.groupByProblemsTotal' => '{totalRows, plural, one {# issue} other {# issues}} on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsTitle' => 'No issues were found on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsDescription' => 'ウェブサイトは適切に管理されています。',

    'problems.columnTitle' => 'Issue',
    'problems.columnRegular' => 'Automatic check',
    'problems.columnManual' => '手動チェック',
    'problems.run' => '%%fromTime%% %%fromDate%% - %%toTime%% %%toDate%%',
    'problems.runSameDay' => '%%fromTime%% - %%toTime%% at %%toDate%%',
    'problems.notRun' => 'not performed yet',
    'problems.resultDetected' => '検出済',
    'problems.resultNotDetected' => '未検出',
    'problems.resultNoProblems' => 'No issues',

    'new-check.title' => '手動チェック',
    'new-check.titleForWebsite' => '%%website%% の手動チェック',
    'new-check.titleRunning' => '{count, plural, other {# 件のウェブサイト}}の手動チェック',
    'new-check.description' => '%%selected%% / %%total%% 件のウェブサイトが選択されています',
    'new-check.depth' => 'チェック期間',
    'new-check.checkTheLast' => 'チェック：最後の',
    'new-check.selectHours' => '時間',
    'new-check.selectMinutes' => '分',
    'new-check.ifYouHaveAnyProblemActivities' => 'If you tried fixing the website issues, set the time period after this attempt. Otherwise Plesk can detect issues you have already resolved.',
    'new-check.weAlsoRecommendVisiting' => 'Before running a manual check, we recommend that you %%visitingTheWebsite%% and try to reproduce the issue.',
    'new-check.visitingTheWebsite' => 'visit the website',
    'new-check.hours' => '直近数時間',
    'new-check.websites' => 'チェック対象のウェブサイト',
    'new-check.buttonSave' => 'チェック',
    'new-check.buttonCancel' => 'キャンセル',
    'new-check.search' => 'ウェブサイトを探す...',
    'new-check.checkProblems' => 'Websites with issues during the last check',
    'new-check.allWebsites' => 'すべてのウェブサイト',
];