<?php
// Copyright 1999-2022. Plesk International GmbH. All rights reserved.
$messages = [
    'title' => 'Website Log Check',

    'regularCheck' => 'Automatic check',
    'manualCheck' => 'Verificação manual',

    'promoTitle' => 'Detecção rápida de indisponibilidade ou trabalho incorreto de seus websites',
    'promoDescription' => 'Website issues are often visible to visitors but not to administrators unless they constantly analyze website logs. Our brand new Website Log Check automates this routine and helps to resolve found issues efficiently.',
    'promoMore' => 'Saiba mais',
    'promoButton' => 'Consegui!',
    'checkEnabledTitle' => 'Automatic check is on',
    'checkDisabledTitle' => 'Automatic check is off',
    'disabledDescription' => 'Turn on to automatically detect issues that can make websites unavailable or cause their incorrect operation.',
    'websitesAllChecked' => '{count, plural, one {# website gets} other {# websites get}} checked daily',
    'websitesAllCheckedAt' => '{count, plural, one {# website gets} other {# websites get}} checked daily at %%time%%',
    'websitesChecked' => '%%count%% de %%totalCount%% websites são verificados diariamente',
    'websitesCheckedAt' => '%%count%% de %%totalCount%% websites são verificados diariamente às %%time%%',
    'checkedWebsites' => 'Lista de websites verificados',
    'lastCheckDescription' => 'The last check took %%duration%% minutes.',
    'durationLess' => 'menos que 0.1',
    'month0' => '%%date%% Jan',
    'month1' => '%%date%% Fev',
    'month2' => '%%date%% Mar',
    'month3' => '%%date%% Abr',
    'month4' => '%%date%% Mai',
    'month5' => '%%date%% Jun',
    'month6' => '%%date%% Jul',
    'month7' => '%%date%% Ago',
    'month8' => '%%date%% Set',
    'month9' => '%%date%% Out',
    'month10' => '%%date%% Nov',
    'month11' => '%%date%% Dez',
    'export' => 'Exportar o relatório para CSV',
    'buttonRun' => 'Executar verificação manual',
    'buttonRunDescription' => 'To recheck fixed websites or find issues that did not appear during the last check.',

    'websites.title' => 'Websites para verificar',
    'websites.description' => '%%selected%% de %%total%% websites são selecionados',
    'websites.search' => 'Encontre websites...',
    'websites.new' => 'Todos os websites recém-criados',
    'websites.newHint' => 'Select to automatically start checking all new websites.',
    'websites.existing' => 'Todos os websites existentes',
    'websites.buttonSave' => 'Salvar',
    'websites.buttonCancel' => 'Cancelar',
    'websites.updateSuccess' => 'As configurações foram atualizadas',

    'tabs.problemDetails' => 'Issue details',
    'tabs.affectedWebsites' => 'Websites afetados',

    'chart.requests' => 'Solicitaões',
    'chart.errors' => 'Erros',

    'affected-websites.selected' => '%%selectedCount%% de %%totalCount%% websites estão selecionados',
    'affected-websites.none' => 'Nenhuma',
    'affected-websites.all' => 'Todos',
    'affected-websites.searchForWebsite' => 'Pesquisar por website',
    'affected-websites.websites' => 'Websites',

    'problem-report.domainTitle' => 'Issue reported on %%domain%%',
    'problem-report.cumulativeTitle' => 'Issue reported on {count, plural, one {# website} other {# websites}}',
    'problem-report.serverwideTitle' => 'Server-wide issue reported',
    'problem-report.problemAppearsOn' => 'The issue appears on {count, plural, one {# website} other {# websites}} in total',
    'problem-report.seeTheConsolidatedReport' => 'Veja o relatório consolidado',
    'problem-report.cause' => 'Causa raiz',
    'problem-report.possibleSolutions' => 'Soluções possíveis',
    'problem-report.useAnOption' => 'Use uma opção para solução automática',
    'problem-report.repairTheWebsite' => 'Repare o website',
    'problem-report.selectAndRepair' => 'Selecione e repare vários websites',
    'problem-report.distributionOfTheProblem' => 'Distribution of the issue over time',
    'problem-report.serverTimezone' => 'Fuso horário do servidor (UTC%%utcShift%%)',
    'problem-report.yourTimezone' => 'Seu fuso horário (UTC%%utcShift%%)',
    'problem-report.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'problem-report.resourceUsageCharts' => 'Gráficos de uso de recursos',
    'problem-report.logEntries' => 'Examples of log entries indicating the issue',
    'problem-report.pleaseKeepInMind' => 'Note: Plesk constantly rotates logs and will eventually archive or delete the mentioned log entries.',
    'problem-report.weRecommendToRecheck' => '%%recheckWebsite%%—we recommend it after each fixing attempt.',
    'problem-report.recheckWebsite' => 'Verifique novamente o website manualmente',
    'problem-report.recommended' => 'recommended',
    'problem-report.numberOfEntries' => 'Número de entradas',
    'problem-report.logEntry' => 'Entrada de registro',
    'problem-report.logFile' => 'Arquivo de log',
    'problem-report.openWebsiteLogs' => 'Abrir logs do website',
    'problem-report.thisIsServerWideProblem' => 'This is a server-wide issue that affects all hosted websites',
    'problem-report.serverWideTitle' => 'Server-wide issue reported',

    'distribution-over-time.title' => 'Distribution of the issue over time',
    'distribution-over-time.serverTimezone' => 'Fuso horário do servidor (UTC%%utcShift%%)',
    'distribution-over-time.yourTimezone' => 'Seu fuso horário (UTC%%utcShift%%)',
    'distribution-over-time.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'distribution-over-time.resourceUsageCharts' => 'Gráficos de uso de recursos',

    'report.title' => 'Relatório sobre a última verificação',
    'report.groupByWebsites' => 'Agrupados por websites',
    'report.groupByProblems' => 'By issues',
    'report.columnWebsite' => 'Site',
    'report.columnStatus' => 'Issues',
    'report.columnProblem' => 'Issue',
    'report.columnAppearedOn' => 'Detectado em',
    'report.serverWideName' => 'Server-wide issues',
    'report.serverWideDescription' => 'These issues affect the whole server and its hosted websites.',
    'report.statusProblemsFound' => '%%count%% encontrado(s)',
    'report.statusProblemsFoundFull' => '{count, plural, one {# issue} other {# issues}} found',
    'report.statusProblemsSolved' => '%%count%% desaparecido(s)',
    'report.statusProblemsSolvedFull' => '{count, plural, one {# issue} other {# issues}} disappeared',
    'report.statusSuccess' => 'No issue',
    'report.serverWide' => 'Todo o servidor',
    'report.appearedOn' => '{count, plural, one {# website} other {# websites}}',
    'report.recheckWebsite' => 'Verifique novamente o website',
    'report.actionOpen' => 'abrir',
    'report.actionManage' => 'Gerenciar',
    'report.actionLogs' => 'View logs',
    'report.searchWebsite' => 'Encontre websites...',
    'report.searchProblem' => 'Find issues...',
    'report.groupByProblemsTotal' => '{totalRows, plural, one {# issue} other {# issues}} on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsTitle' => 'No issues were found on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsDescription' => 'Parece que você mantém seus websites em boa forma. Muito bem!',

    'problems.columnTitle' => 'Issue',
    'problems.columnRegular' => 'Automatic check',
    'problems.columnManual' => 'Verificação manual',
    'problems.run' => '%%fromTime%% %%fromDate%% - %%toTime%% %%toDate%%',
    'problems.runSameDay' => '%%fromTime%% - %%toTime%% em %%toDate%%',
    'problems.notRun' => 'not performed yet',
    'problems.resultDetected' => 'Detectado',
    'problems.resultNotDetected' => 'Não detectado',
    'problems.resultNoProblems' => 'No issues',

    'new-check.title' => 'Verificação manual',
    'new-check.titleForWebsite' => 'Verificação manual de %%website%%',
    'new-check.titleRunning' => 'Verificação manual de {count, plural, one {# website} other {# websites}}',
    'new-check.description' => '%%selected%% de %%total%% websites selecionados',
    'new-check.depth' => 'Período de verificação',
    'new-check.checkTheLast' => 'Verifique o último',
    'new-check.selectHours' => 'Horas',
    'new-check.selectMinutes' => 'Minutes',
    'new-check.ifYouHaveAnyProblemActivities' => 'If you tried fixing the website issues, set the time period after this attempt. Otherwise Plesk can detect issues you have already resolved.',
    'new-check.weAlsoRecommendVisiting' => 'Before running a manual check, we recommend that you %%visitingTheWebsite%% and try to reproduce the issue.',
    'new-check.visitingTheWebsite' => 'visit the website',
    'new-check.hours' => 'últimas horas',
    'new-check.websites' => 'Websites para verificar',
    'new-check.buttonSave' => 'Verificar',
    'new-check.buttonCancel' => 'Cancelar',
    'new-check.search' => 'Encontre websites...',
    'new-check.checkProblems' => 'Websites with issues during the last check',
    'new-check.allWebsites' => 'Todos websites',
];