<?php
// Copyright 1999-2022. Plesk International GmbH. All rights reserved.
$messages = [
    'title' => 'Website Log Check',

    'regularCheck' => 'Automatic check',
    'manualCheck' => 'Verificação manual',

    'promoTitle' => 'Deteção rápida de indisponibilidade ou funcionamento incorreto dos seus websites',
    'promoDescription' => 'Website issues are often visible to visitors but not to administrators unless they constantly analyze website logs. Our brand new Website Log Check automates this routine and helps to resolve found issues efficiently.',
    'promoMore' => 'Saber mais',
    'promoButton' => 'Percebi!',
    'checkEnabledTitle' => 'Automatic check is on',
    'checkDisabledTitle' => 'Automatic check is off',
    'disabledDescription' => 'Turn on to automatically detect issues that can make websites unavailable or cause their incorrect operation.',
    'websitesAllChecked' => '{count, plural, one {# website é} other {# websites são}} verificados diariamente',
    'websitesAllCheckedAt' => '{count, plural, one {# website é} other {# websites são}} verificados diariamente às %%time%%',
    'websitesChecked' => '%%count%% de %%totalCount%% websites são verificados diariamente',
    'websitesCheckedAt' => '%%count%% de %%totalCount%% websites são verificados diariamente às %%time%%',
    'checkedWebsites' => 'Lista de websites verificados',
    'lastCheckDescription' => 'The last check took %%duration%% minutes.',
    'durationLess' => 'menos de 0,1',
    'month0' => '%%date%% jan',
    'month1' => '%%date%% fev',
    'month2' => '%%date%% mar',
    'month3' => '%%date%% abr',
    'month4' => '%%date%% mai',
    'month5' => '%%date%% jun',
    'month6' => '%%date%% jul',
    'month7' => '%%date%% ago',
    'month8' => '%%date%% set',
    'month9' => '%%date%% out',
    'month10' => '%%date%% nov',
    'month11' => '%%date%% dez',
    'export' => 'Exportar o relatório para CSV',
    'buttonRun' => 'Efetuar verificação manual',
    'buttonRunDescription' => 'To recheck fixed websites or find issues that did not appear during the last check.',

    'websites.title' => 'Websites a verificar',
    'websites.description' => 'Selecionou %%selected%% de %%total%% websites',
    'websites.search' => 'Encontrar websites...',
    'websites.new' => 'Todos os websites recém-criados',
    'websites.newHint' => 'Select to automatically start checking all new websites.',
    'websites.existing' => 'Todos os websites existentes',
    'websites.buttonSave' => 'Gravar',
    'websites.buttonCancel' => 'Cancelar',
    'websites.updateSuccess' => 'As definições foram atualizadas',

    'tabs.problemDetails' => 'Issue details',
    'tabs.affectedWebsites' => 'Websites afetados',

    'chart.requests' => 'Pedidos',
    'chart.errors' => 'Erros',

    'affected-websites.selected' => 'Selecionou %%selectedCount%% de %%totalCount%% websites',
    'affected-websites.none' => 'Nenhum',
    'affected-websites.all' => 'Tudo',
    'affected-websites.searchForWebsite' => 'Procurar websites',
    'affected-websites.websites' => 'Sites',

    'problem-report.domainTitle' => 'Issue reported on %%domain%%',
    'problem-report.cumulativeTitle' => 'Issue reported on {count, plural, one {# website} other {# websites}}',
    'problem-report.serverwideTitle' => 'Server-wide issue reported',
    'problem-report.problemAppearsOn' => 'The issue appears on {count, plural, one {# website} other {# websites}} in total',
    'problem-report.seeTheConsolidatedReport' => 'Ver o relatório consolidado',
    'problem-report.cause' => 'Causa raiz',
    'problem-report.possibleSolutions' => 'Soluções possíveis',
    'problem-report.useAnOption' => 'Utilizar uma opção para resolução automática',
    'problem-report.repairTheWebsite' => 'Reparar o website',
    'problem-report.selectAndRepair' => 'Selecionar e reparar vários websites',
    'problem-report.distributionOfTheProblem' => 'Distribution of the issue over time',
    'problem-report.serverTimezone' => 'Fuso horário do servidor (UTC%%utcShift%%)',
    'problem-report.yourTimezone' => 'O seu fuso horário (UTC%%utcShift%%)',
    'problem-report.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'problem-report.resourceUsageCharts' => 'Gráficos de utilização de recursos',
    'problem-report.logEntries' => 'Examples of log entries indicating the issue',
    'problem-report.pleaseKeepInMind' => 'Note: Plesk constantly rotates logs and will eventually archive or delete the mentioned log entries.',
    'problem-report.weRecommendToRecheck' => '%%recheckWebsite%%—we recommend it after each fixing attempt.',
    'problem-report.recheckWebsite' => 'Voltar a verificar website manualmente',
    'problem-report.recommended' => 'recomendado',
    'problem-report.numberOfEntries' => 'Número de entradas',
    'problem-report.logEntry' => 'Entrada do registo',
    'problem-report.logFile' => 'Ficheiro de registo',
    'problem-report.openWebsiteLogs' => 'Abrir registos do website',
    'problem-report.thisIsServerWideProblem' => 'This is a server-wide issue that affects all hosted websites',
    'problem-report.serverWideTitle' => 'Server-wide issue reported',

    'distribution-over-time.title' => 'Distribution of the issue over time',
    'distribution-over-time.serverTimezone' => 'Fuso horário do servidor (UTC%%utcShift%%)',
    'distribution-over-time.yourTimezone' => 'O seu fuso horário (UTC%%utcShift%%)',
    'distribution-over-time.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'distribution-over-time.resourceUsageCharts' => 'Gráficos de utilização de recursos',

    'report.title' => 'Relatório sobre a última verificação',
    'report.groupByWebsites' => 'Agrupado por websites',
    'report.groupByProblems' => 'By issues',
    'report.columnWebsite' => 'Página web',
    'report.columnStatus' => 'Issues',
    'report.columnProblem' => 'Issue',
    'report.columnAppearedOn' => 'Detetado em',
    'report.serverWideName' => 'Server-wide issues',
    'report.serverWideDescription' => 'These issues affect the whole server and its hosted websites.',
    'report.statusProblemsFound' => '%%count%% encontrados',
    'report.statusProblemsFoundFull' => '{count, plural, one {# issue} other {# issues}} found',
    'report.statusProblemsSolved' => '%%count%% desapareceram',
    'report.statusProblemsSolvedFull' => '{count, plural, one {# issue} other {# issues}} disappeared',
    'report.statusSuccess' => 'No issue',
    'report.serverWide' => 'Todo o servidor',
    'report.appearedOn' => '{count, plural, one {# website} other {# websites}}',
    'report.recheckWebsite' => 'Voltar a verificar website',
    'report.actionOpen' => 'Aberto',
    'report.actionManage' => 'Gerir',
    'report.actionLogs' => 'Visualizar logs',
    'report.searchWebsite' => 'Encontrar websites...',
    'report.searchProblem' => 'Find issues...',
    'report.groupByProblemsTotal' => '{totalRows, plural, one {# issue} other {# issues}} on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsTitle' => 'No issues were found on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsDescription' => 'Parece que mantém os seus websites em boa forma. Parabéns!',

    'problems.columnTitle' => 'Issue',
    'problems.columnRegular' => 'Automatic check',
    'problems.columnManual' => 'Verificação manual',
    'problems.run' => '%%fromTime%% %%fromDate%% - %%toTime%% %%toDate%%',
    'problems.runSameDay' => '%%fromTime%% - %%toTime%% às %%toDate%%',
    'problems.notRun' => 'not performed yet',
    'problems.resultDetected' => 'Detetado',
    'problems.resultNotDetected' => 'Não detetado',
    'problems.resultNoProblems' => 'No issues',

    'new-check.title' => 'Verificação manual',
    'new-check.titleForWebsite' => 'Verificação manual de %%website%%',
    'new-check.titleRunning' => 'Verificação manual de {count, plural, one {# website} other {# websites}}',
    'new-check.description' => 'Selecionou %%selected%% de %%total%% websites',
    'new-check.depth' => 'Período de verificação',
    'new-check.checkTheLast' => 'Verificar o último',
    'new-check.selectHours' => 'Horas',
    'new-check.selectMinutes' => 'Minutos',
    'new-check.ifYouHaveAnyProblemActivities' => 'If you tried fixing the website issues, set the time period after this attempt. Otherwise Plesk can detect issues you have already resolved.',
    'new-check.weAlsoRecommendVisiting' => 'Before running a manual check, we recommend that you %%visitingTheWebsite%% and try to reproduce the issue.',
    'new-check.visitingTheWebsite' => 'visit the website',
    'new-check.hours' => 'últimas horas',
    'new-check.websites' => 'Websites a verificar',
    'new-check.buttonSave' => 'Verificar',
    'new-check.buttonCancel' => 'Cancelar',
    'new-check.search' => 'Encontrar websites...',
    'new-check.checkProblems' => 'Websites with issues during the last check',
    'new-check.allWebsites' => 'Todos os websites',
];