<?php
// Copyright 1999-2022. Plesk International GmbH. All rights reserved.
$messages = [
    'title' => 'Website Log Check',

    'regularCheck' => 'Automatic check',
    'manualCheck' => 'Ручная проверка',

    'promoTitle' => 'Быстрое обнаружение недоступности или некорректной работы ваших сайтов',
    'promoDescription' => 'Website issues are often visible to visitors but not to administrators unless they constantly analyze website logs. Our brand new Website Log Check automates this routine and helps to resolve found issues efficiently.',
    'promoMore' => 'Подробнее',
    'promoButton' => 'Понятно!',
    'checkEnabledTitle' => 'Automatic check is on',
    'checkDisabledTitle' => 'Automatic check is off',
    'disabledDescription' => 'Turn on to automatically detect issues that can make websites unavailable or cause their incorrect operation.',
    'websitesAllChecked' => '{count, plural, one {# website gets} other {# websites get}} checked daily',
    'websitesAllCheckedAt' => '{count, plural, one {# website gets} other {# websites get}} checked daily at %%time%%',
    'websitesChecked' => '%%count%% of %%totalCount%% websites get checked daily',
    'websitesCheckedAt' => '%%count%% of %%totalCount%% websites get checked daily at %%time%%',
    'checkedWebsites' => 'Список проверенных сайтов',
    'lastCheckDescription' => 'The last check took %%duration%% minutes.',
    'durationLess' => 'менее 0.1',
    'month0' => '%%date%% января',
    'month1' => '%%date%% февраля',
    'month2' => '%%date%% марта',
    'month3' => '%%date%% апреля',
    'month4' => '%%date%% мая',
    'month5' => '%%date%% июня',
    'month6' => '%%date%% июля',
    'month7' => '%%date%% августа',
    'month8' => '%%date%% сентября',
    'month9' => '%%date%% октября',
    'month10' => '%%date%% ноября',
    'month11' => '%%date%% декабря',
    'export' => 'Экспорт отчета в CSV',
    'buttonRun' => 'Run manual check',
    'buttonRunDescription' => 'To recheck fixed websites or find issues that did not appear during the last check.',

    'websites.title' => 'Сайты для проверки',
    'websites.description' => '%%selected%% из %%total%% сайтов выбрано',
    'websites.search' => 'Найти сайты...',
    'websites.new' => 'Все вновь созданные сайты',
    'websites.newHint' => 'Select to automatically start checking all new websites.',
    'websites.existing' => 'Все существующие сайты',
    'websites.buttonSave' => 'Сохранить',
    'websites.buttonCancel' => 'Отмена',
    'websites.updateSuccess' => 'Настройки обновлены',

    'tabs.problemDetails' => 'Issue details',
    'tabs.affectedWebsites' => 'Затронутые сайты',

    'chart.requests' => 'Запросы',
    'chart.errors' => 'Проблемы',

    'affected-websites.selected' => '%%selectedCount%% из %%totalCount%% сайтов выбрано',
    'affected-websites.none' => 'Нет',
    'affected-websites.all' => 'Все',
    'affected-websites.searchForWebsite' => 'Поиск сайтов',
    'affected-websites.websites' => 'Веб-сайты',

    'problem-report.domainTitle' => 'Issue reported on %%domain%%',
    'problem-report.cumulativeTitle' => 'Issue reported on {count, plural, one {# website} other {# websites}}',
    'problem-report.serverwideTitle' => 'Server-wide issue reported',
    'problem-report.problemAppearsOn' => 'The issue appears on {count, plural, one {# website} other {# websites}} in total',
    'problem-report.seeTheConsolidatedReport' => 'Смотреть сводный отчет',
    'problem-report.cause' => 'Основная причина',
    'problem-report.possibleSolutions' => 'Possible solutions',
    'problem-report.useAnOption' => 'Используйте опцию для автоматического решения',
    'problem-report.repairTheWebsite' => 'Восстановить сайт',
    'problem-report.selectAndRepair' => 'Выбрать и восстановить несколько сайтов',
    'problem-report.distributionOfTheProblem' => 'Distribution of the issue over time',
    'problem-report.serverTimezone' => 'Часовой пояс сервера (UTC%%utcShift%%)',
    'problem-report.yourTimezone' => 'Ваш часовой пояс (UTC%%utcShift%%)',
    'problem-report.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'problem-report.resourceUsageCharts' => 'Графики использования ресурсов',
    'problem-report.logEntries' => 'Examples of log entries indicating the issue',
    'problem-report.pleaseKeepInMind' => 'Note: Plesk constantly rotates logs and will eventually archive or delete the mentioned log entries.',
    'problem-report.weRecommendToRecheck' => '%%recheckWebsite%%—we recommend it after each fixing attempt.',
    'problem-report.recheckWebsite' => 'Recheck website manually',
    'problem-report.recommended' => 'recommended',
    'problem-report.numberOfEntries' => 'Количество записей',
    'problem-report.logEntry' => 'Запись журнала',
    'problem-report.logFile' => 'Файл журнала',
    'problem-report.openWebsiteLogs' => 'Открыть журналы сайта',
    'problem-report.thisIsServerWideProblem' => 'This is a server-wide issue that affects all hosted websites',
    'problem-report.serverWideTitle' => 'Server-wide issue reported',

    'distribution-over-time.title' => 'Distribution of the issue over time',
    'distribution-over-time.serverTimezone' => 'Часовой пояс сервера (UTC%%utcShift%%)',
    'distribution-over-time.yourTimezone' => 'Ваш часовой пояс (UTC%%utcShift%%)',
    'distribution-over-time.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'distribution-over-time.resourceUsageCharts' => 'Графики использования ресурсов',

    'report.title' => 'Отчет о последней проверке',
    'report.groupByWebsites' => 'Сгруппировано по сайтам',
    'report.groupByProblems' => 'By issues',
    'report.columnWebsite' => 'Сайт',
    'report.columnStatus' => 'Issues',
    'report.columnProblem' => 'Issue',
    'report.columnAppearedOn' => 'Detected on',
    'report.serverWideName' => 'Server-wide issues',
    'report.serverWideDescription' => 'These issues affect the whole server and its hosted websites.',
    'report.statusProblemsFound' => '%%count%% found',
    'report.statusProblemsFoundFull' => '{count, plural, one {# issue} other {# issues}} found',
    'report.statusProblemsSolved' => '%%count%% disappeared',
    'report.statusProblemsSolvedFull' => '{count, plural, one {# issue} other {# issues}} disappeared',
    'report.statusSuccess' => 'No issue',
    'report.serverWide' => 'Весь сервер',
    'report.appearedOn' => '{count, plural, one {# сайт} few {# сайта} many {# сайтов} other {# сайтов}}',
    'report.recheckWebsite' => 'Recheck website',
    'report.actionOpen' => 'Открыть',
    'report.actionManage' => 'Управление',
    'report.actionLogs' => 'View logs',
    'report.searchWebsite' => 'Найти сайты...',
    'report.searchProblem' => 'Find issues...',
    'report.groupByProblemsTotal' => '{totalRows, plural, one {# issue} other {# issues}} on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsTitle' => 'No issues were found on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsDescription' => 'Похоже, ваши сайты в хорошем состоянии. Отлично!',

    'problems.columnTitle' => 'Issue',
    'problems.columnRegular' => 'Automatic check',
    'problems.columnManual' => 'Ручная проверка',
    'problems.run' => '%%fromTime%% %%fromDate%% - %%toTime%% %%toDate%%',
    'problems.runSameDay' => '%%fromTime%% - %%toTime%% at %%toDate%%',
    'problems.notRun' => 'not performed yet',
    'problems.resultDetected' => 'Detected',
    'problems.resultNotDetected' => 'Not detected',
    'problems.resultNoProblems' => 'No issues',

    'new-check.title' => 'Ручная проверка',
    'new-check.titleForWebsite' => 'Manual check of %%website%%',
    'new-check.titleRunning' => 'Manual check of {count, plural, one {# website} other {# websites}}',
    'new-check.description' => '%%selected%% из %%total%% сайтов выбрано',
    'new-check.depth' => 'Check period',
    'new-check.checkTheLast' => 'Check the last',
    'new-check.selectHours' => 'Часы',
    'new-check.selectMinutes' => 'Minutes',
    'new-check.ifYouHaveAnyProblemActivities' => 'If you tried fixing the website issues, set the time period after this attempt. Otherwise Plesk can detect issues you have already resolved.',
    'new-check.weAlsoRecommendVisiting' => 'Before running a manual check, we recommend that you %%visitingTheWebsite%% and try to reproduce the issue.',
    'new-check.visitingTheWebsite' => 'visit the website',
    'new-check.hours' => 'последние часы',
    'new-check.websites' => 'Сайты для проверки',
    'new-check.buttonSave' => 'Проверить',
    'new-check.buttonCancel' => 'Отмена',
    'new-check.search' => 'Найти сайты...',
    'new-check.checkProblems' => 'Websites with issues during the last check',
    'new-check.allWebsites' => 'Все сайты',
];