<?php
// Copyright 1999-2022. Plesk International GmbH. All rights reserved.
$messages = [
    'title' => 'Website Log Check',

    'regularCheck' => 'Automatic check',
    'manualCheck' => '手动检查',

    'promoTitle' => '快速检测网站存在的不可用或不正常运行的地方',
    'promoDescription' => 'Website issues are often visible to visitors but not to administrators unless they constantly analyze website logs. Our brand new Website Log Check automates this routine and helps to resolve found issues efficiently.',
    'promoMore' => '了解更多',
    'promoButton' => '知道了！',
    'checkEnabledTitle' => 'Automatic check is on',
    'checkDisabledTitle' => 'Automatic check is off',
    'disabledDescription' => 'Turn on to automatically detect issues that can make websites unavailable or cause their incorrect operation.',
    'websitesAllChecked' => '{count, plural, one {# website gets} other {# websites get}} checked daily',
    'websitesAllCheckedAt' => '{count, plural, one {# website gets} other {# websites get}} checked daily at %%time%%',
    'websitesChecked' => '%%count%% of %%totalCount%% websites get checked daily',
    'websitesCheckedAt' => '%%count%% of %%totalCount%% websites get checked daily at %%time%%',
    'checkedWebsites' => '已检查的网站列表',
    'lastCheckDescription' => 'The last check took %%duration%% minutes.',
    'durationLess' => '小于 0.1',
    'month0' => '一月 %%date%%',
    'month1' => '二月 %%date%%',
    'month2' => '三月 %%date%%',
    'month3' => '四月 %%date%%',
    'month4' => '五月 %%date%%',
    'month5' => '六月 %%date%%',
    'month6' => '七月 %%date%%',
    'month7' => '八月 %%date%%',
    'month8' => '九月 %%date%%',
    'month9' => '十月 %%date%%',
    'month10' => '十一月 %%date%%',
    'month11' => '十二月 %%date%%',
    'export' => '导出报告到CSV',
    'buttonRun' => 'Run manual check',
    'buttonRunDescription' => 'To recheck fixed websites or find issues that did not appear during the last check.',

    'websites.title' => '要检查的网站',
    'websites.description' => '选定%%selected%%（共计%%total%%）个网站',
    'websites.search' => '查找网站...',
    'websites.new' => '所有新创建的网站',
    'websites.newHint' => 'Select to automatically start checking all new websites.',
    'websites.existing' => '所有现有网站',
    'websites.buttonSave' => '保存',
    'websites.buttonCancel' => '取消',
    'websites.updateSuccess' => '设置已更新',

    'tabs.problemDetails' => 'Issue details',
    'tabs.affectedWebsites' => '受影响的网站',

    'chart.requests' => '请求',
    'chart.errors' => '错误',

    'affected-websites.selected' => '选定%%selectedCount%%（共计%%totalCount%%）个网站',
    'affected-websites.none' => '无',
    'affected-websites.all' => '所有',
    'affected-websites.searchForWebsite' => '搜索网站',
    'affected-websites.websites' => '网站',

    'problem-report.domainTitle' => 'Issue reported on %%domain%%',
    'problem-report.cumulativeTitle' => 'Issue reported on {count, plural, one {# website} other {# websites}}',
    'problem-report.serverwideTitle' => 'Server-wide issue reported',
    'problem-report.problemAppearsOn' => 'The issue appears on {count, plural, one {# website} other {# websites}} in total',
    'problem-report.seeTheConsolidatedReport' => '参见合并报告',
    'problem-report.cause' => '根源',
    'problem-report.possibleSolutions' => 'Possible solutions',
    'problem-report.useAnOption' => '使用可实现自动化解决方案的选项',
    'problem-report.repairTheWebsite' => '修复网站',
    'problem-report.selectAndRepair' => '选择并修复几个网站',
    'problem-report.distributionOfTheProblem' => 'Distribution of the issue over time',
    'problem-report.serverTimezone' => '服务器时区 (UTC%%utcShift%%)',
    'problem-report.yourTimezone' => '您的时区 (UTC%%utcShift%%)',
    'problem-report.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'problem-report.resourceUsageCharts' => '资源使用图表',
    'problem-report.logEntries' => 'Examples of log entries indicating the issue',
    'problem-report.pleaseKeepInMind' => 'Note: Plesk constantly rotates logs and will eventually archive or delete the mentioned log entries.',
    'problem-report.weRecommendToRecheck' => '%%recheckWebsite%%—we recommend it after each fixing attempt.',
    'problem-report.recheckWebsite' => 'Recheck website manually',
    'problem-report.recommended' => 'recommended',
    'problem-report.numberOfEntries' => '条目数',
    'problem-report.logEntry' => '日志条目',
    'problem-report.logFile' => '日志文件',
    'problem-report.openWebsiteLogs' => '打开网站日志',
    'problem-report.thisIsServerWideProblem' => 'This is a server-wide issue that affects all hosted websites',
    'problem-report.serverWideTitle' => 'Server-wide issue reported',

    'distribution-over-time.title' => 'Distribution of the issue over time',
    'distribution-over-time.serverTimezone' => '服务器时区 (UTC%%utcShift%%)',
    'distribution-over-time.yourTimezone' => '您的时区 (UTC%%utcShift%%)',
    'distribution-over-time.weRecomendComparing' => 'We recommend that you compare the error distribution chart with %%link%% in Monitoring',
    'distribution-over-time.resourceUsageCharts' => '资源使用图表',

    'report.title' => '关于上次检查的报告',
    'report.groupByWebsites' => '按网站分组',
    'report.groupByProblems' => 'By issues',
    'report.columnWebsite' => '网站',
    'report.columnStatus' => 'Issues',
    'report.columnProblem' => 'Issue',
    'report.columnAppearedOn' => 'Detected on',
    'report.serverWideName' => 'Server-wide issues',
    'report.serverWideDescription' => 'These issues affect the whole server and its hosted websites.',
    'report.statusProblemsFound' => '%%count%% found',
    'report.statusProblemsFoundFull' => '{count, plural, one {# issue} other {# issues}} found',
    'report.statusProblemsSolved' => '%%count%% disappeared',
    'report.statusProblemsSolvedFull' => '{count, plural, one {# issue} other {# issues}} disappeared',
    'report.statusSuccess' => 'No issue',
    'report.serverWide' => '整个服务器',
    'report.appearedOn' => '{count, plural, other {# 个网站}}',
    'report.recheckWebsite' => 'Recheck website',
    'report.actionOpen' => '打开',
    'report.actionManage' => '管理',
    'report.actionLogs' => 'View logs',
    'report.searchWebsite' => '查找网站...',
    'report.searchProblem' => 'Find issues...',
    'report.groupByProblemsTotal' => '{totalRows, plural, one {# issue} other {# issues}} on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsTitle' => 'No issues were found on {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsDescription' => '看起来您的网站保持了良好的状态。做得不错！',

    'problems.columnTitle' => 'Issue',
    'problems.columnRegular' => 'Automatic check',
    'problems.columnManual' => '手动检查',
    'problems.run' => '%%fromTime%% %%fromDate%% - %%toTime%% %%toDate%%',
    'problems.runSameDay' => '%%fromTime%% - %%toTime%% at %%toDate%%',
    'problems.notRun' => 'not performed yet',
    'problems.resultDetected' => 'Detected',
    'problems.resultNotDetected' => 'Not detected',
    'problems.resultNoProblems' => 'No issues',

    'new-check.title' => '手动检查',
    'new-check.titleForWebsite' => 'Manual check of %%website%%',
    'new-check.titleRunning' => 'Manual check of {count, plural, one {# website} other {# websites}}',
    'new-check.description' => '选定%%selected%%（共计%%total%%）个网站',
    'new-check.depth' => 'Check period',
    'new-check.checkTheLast' => 'Check the last',
    'new-check.selectHours' => '小时',
    'new-check.selectMinutes' => 'Minutes',
    'new-check.ifYouHaveAnyProblemActivities' => 'If you tried fixing the website issues, set the time period after this attempt. Otherwise Plesk can detect issues you have already resolved.',
    'new-check.weAlsoRecommendVisiting' => 'Before running a manual check, we recommend that you %%visitingTheWebsite%% and try to reproduce the issue.',
    'new-check.visitingTheWebsite' => 'visit the website',
    'new-check.hours' => '最后几个小时',
    'new-check.websites' => '要检查的网站',
    'new-check.buttonSave' => '检查',
    'new-check.buttonCancel' => '取消',
    'new-check.search' => '查找网站...',
    'new-check.checkProblems' => 'Websites with issues during the last check',
    'new-check.allWebsites' => '所有网站',
];